import 'element-ui/lib/theme-chalk/index.css';
import './assets/gloable.css';
import store from './store';  // 确保这个路径是正确的
import router from './router';
import request from "@/utils/request";
import Vue from 'vue';
import App from './App.vue';
import ElementUI from 'element-ui';

// 使用 ElementUI 组件库
Vue.use(ElementUI, { size: 'small' });

// 将 request 注册为 Vue 的实例属性
Vue.prototype.request = request;

// 关闭生产提示
Vue.config.productionTip = false;

// 创建 Vue 实例
new Vue({
  store, // 确保 Vuex store 被正确注册
  router,
  render: h => h(App),
}).$mount('#app');
